Correction of namespeaces
[xmldoc.git] / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17
18
19 VPATH = @srcdir@
20 am__is_gnu_make = { \
21   if test -z '$(MAKELEVEL)'; then \
22     false; \
23   elif test -n '$(MAKE_HOST)'; then \
24     true; \
25   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26     true; \
27   else \
28     false; \
29   fi; \
30 }
31 am__make_running_with_option = \
32   case $${target_option-} in \
33       ?) ;; \
34       *) echo "am__make_running_with_option: internal error: invalid" \
35               "target option '$${target_option-}' specified" >&2; \
36          exit 1;; \
37   esac; \
38   has_opt=no; \
39   sane_makeflags=$$MAKEFLAGS; \
40   if $(am__is_gnu_make); then \
41     sane_makeflags=$$MFLAGS; \
42   else \
43     case $$MAKEFLAGS in \
44       *\\[\ \   ]*) \
45         bs=\\; \
46         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48     esac; \
49   fi; \
50   skip_next=no; \
51   strip_trailopt () \
52   { \
53     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54   }; \
55   for flg in $$sane_makeflags; do \
56     test $$skip_next = yes && { skip_next=no; continue; }; \
57     case $$flg in \
58       *=*|--*) continue;; \
59         -*I) strip_trailopt 'I'; skip_next=yes;; \
60       -*I?*) strip_trailopt 'I';; \
61         -*O) strip_trailopt 'O'; skip_next=yes;; \
62       -*O?*) strip_trailopt 'O';; \
63         -*l) strip_trailopt 'l'; skip_next=yes;; \
64       -*l?*) strip_trailopt 'l';; \
65       -[dEDm]) skip_next=yes;; \
66       -[JT]) skip_next=yes;; \
67     esac; \
68     case $$flg in \
69       *$$target_option*) has_opt=yes; break;; \
70     esac; \
71   done; \
72   test $$has_opt = yes
73 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75 pkgdatadir = $(datadir)/@PACKAGE@
76 pkgincludedir = $(includedir)/@PACKAGE@
77 pkglibdir = $(libdir)/@PACKAGE@
78 pkglibexecdir = $(libexecdir)/@PACKAGE@
79 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80 install_sh_DATA = $(install_sh) -c -m 644
81 install_sh_PROGRAM = $(install_sh) -c
82 install_sh_SCRIPT = $(install_sh) -c
83 INSTALL_HEADER = $(INSTALL_DATA)
84 transform = $(program_transform_name)
85 NORMAL_INSTALL = :
86 PRE_INSTALL = :
87 POST_INSTALL = :
88 NORMAL_UNINSTALL = :
89 PRE_UNINSTALL = :
90 POST_UNINSTALL = :
91 bin_PROGRAMS = xp$(EXEEXT)
92 subdir = .
93 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
95 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
96         $(ACLOCAL_M4)
97 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
98         $(am__configure_deps) $(am__DIST_COMMON)
99 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
100  configure.lineno config.status.lineno
101 mkinstalldirs = $(install_sh) -d
102 CONFIG_CLEAN_FILES =
103 CONFIG_CLEAN_VPATH_FILES =
104 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
105         "$(DESTDIR)$(xsltdir)"
106 PROGRAMS = $(bin_PROGRAMS)
107 am_xp_OBJECTS = xp.$(OBJEXT)
108 xp_OBJECTS = $(am_xp_OBJECTS)
109 xp_LDADD = $(LDADD)
110 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
111 am__vpath_adj = case $$p in \
112     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
113     *) f=$$p;; \
114   esac;
115 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
116 am__install_max = 40
117 am__nobase_strip_setup = \
118   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
119 am__nobase_strip = \
120   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
121 am__nobase_list = $(am__nobase_strip_setup); \
122   for p in $$list; do echo "$$p $$p"; done | \
123   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
124   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
125     if (++n[$$2] == $(am__install_max)) \
126       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
127     END { for (dir in files) print dir, files[dir] }'
128 am__base_list = \
129   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
130   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
131 am__uninstall_files_from_dir = { \
132   test -z "$$files" \
133     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
134     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
135          $(am__cd) "$$dir" && rm -f $$files; }; \
136   }
137 SCRIPTS = $(bin_SCRIPTS)
138 AM_V_P = $(am__v_P_@AM_V@)
139 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
140 am__v_P_0 = false
141 am__v_P_1 = :
142 AM_V_GEN = $(am__v_GEN_@AM_V@)
143 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
144 am__v_GEN_0 = @echo "  GEN     " $@;
145 am__v_GEN_1 = 
146 AM_V_at = $(am__v_at_@AM_V@)
147 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
148 am__v_at_0 = @
149 am__v_at_1 = 
150 DEFAULT_INCLUDES = -I.@am__isrc@
151 depcomp = $(SHELL) $(top_srcdir)/depcomp
152 am__depfiles_maybe = depfiles
153 am__mv = mv -f
154 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
155         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
156 AM_V_CC = $(am__v_CC_@AM_V@)
157 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
158 am__v_CC_0 = @echo "  CC      " $@;
159 am__v_CC_1 = 
160 CCLD = $(CC)
161 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
162 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
163 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
164 am__v_CCLD_0 = @echo "  CCLD    " $@;
165 am__v_CCLD_1 = 
166 SOURCES = $(xp_SOURCES)
167 DIST_SOURCES = $(xp_SOURCES)
168 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
169         ctags-recursive dvi-recursive html-recursive info-recursive \
170         install-data-recursive install-dvi-recursive \
171         install-exec-recursive install-html-recursive \
172         install-info-recursive install-pdf-recursive \
173         install-ps-recursive install-recursive installcheck-recursive \
174         installdirs-recursive pdf-recursive ps-recursive \
175         tags-recursive uninstall-recursive
176 am__can_run_installinfo = \
177   case $$AM_UPDATE_INFO_DIR in \
178     n|no|NO) false;; \
179     *) (install-info --version) >/dev/null 2>&1;; \
180   esac
181 DATA = $(xslt_DATA)
182 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
183   distclean-recursive maintainer-clean-recursive
184 am__recursive_targets = \
185   $(RECURSIVE_TARGETS) \
186   $(RECURSIVE_CLEAN_TARGETS) \
187   $(am__extra_recursive_targets)
188 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
189         cscope distdir dist dist-all distcheck
190 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
191 # Read a list of newline-separated strings from the standard input,
192 # and print each of them once, without duplicates.  Input order is
193 # *not* preserved.
194 am__uniquify_input = $(AWK) '\
195   BEGIN { nonempty = 0; } \
196   { items[$$0] = 1; nonempty = 1; } \
197   END { if (nonempty) { for (i in items) print i; }; } \
198 '
199 # Make sure the list of sources is unique.  This is necessary because,
200 # e.g., the same source file might be shared among _SOURCES variables
201 # for different programs/libraries.
202 am__define_uniq_tagged_files = \
203   list='$(am__tagged_files)'; \
204   unique=`for i in $$list; do \
205     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
206   done | $(am__uniquify_input)`
207 ETAGS = etags
208 CTAGS = ctags
209 CSCOPE = cscope
210 DIST_SUBDIRS = $(SUBDIRS)
211 am__DIST_COMMON = $(srcdir)/Makefile.in AUTHORS COPYING ChangeLog \
212         INSTALL NEWS README compile depcomp install-sh missing
213 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
214 distdir = $(PACKAGE)-$(VERSION)
215 top_distdir = $(distdir)
216 am__remove_distdir = \
217   if test -d "$(distdir)"; then \
218     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
219       && rm -rf "$(distdir)" \
220       || { sleep 5 && rm -rf "$(distdir)"; }; \
221   else :; fi
222 am__post_remove_distdir = $(am__remove_distdir)
223 am__relativize = \
224   dir0=`pwd`; \
225   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
226   sed_rest='s,^[^/]*/*,,'; \
227   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
228   sed_butlast='s,/*[^/]*$$,,'; \
229   while test -n "$$dir1"; do \
230     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
231     if test "$$first" != "."; then \
232       if test "$$first" = ".."; then \
233         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
234         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
235       else \
236         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
237         if test "$$first2" = "$$first"; then \
238           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
239         else \
240           dir2="../$$dir2"; \
241         fi; \
242         dir0="$$dir0"/"$$first"; \
243       fi; \
244     fi; \
245     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
246   done; \
247   reldir="$$dir2"
248 DIST_ARCHIVES = $(distdir).tar.gz
249 GZIP_ENV = --best
250 DIST_TARGETS = dist-gzip
251 distuninstallcheck_listfiles = find . -type f -print
252 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
253   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
254 distcleancheck_listfiles = find . -type f -print
255 ACLOCAL = @ACLOCAL@
256 AMTAR = @AMTAR@
257 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
258 AUTOCONF = @AUTOCONF@
259 AUTOHEADER = @AUTOHEADER@
260 AUTOMAKE = @AUTOMAKE@
261 AWK = @AWK@
262 CC = @CC@
263 CCDEPMODE = @CCDEPMODE@
264 CFLAGS = @CFLAGS@
265 CPP = @CPP@
266 CPPFLAGS = @CPPFLAGS@
267 CYGPATH_W = @CYGPATH_W@
268 DEFS = @DEFS@
269 DEPDIR = @DEPDIR@
270 ECHO_C = @ECHO_C@
271 ECHO_N = @ECHO_N@
272 ECHO_T = @ECHO_T@
273 EGREP = @EGREP@
274 EXEEXT = @EXEEXT@
275 GREP = @GREP@
276 INSTALL = @INSTALL@
277 INSTALL_DATA = @INSTALL_DATA@
278 INSTALL_PROGRAM = @INSTALL_PROGRAM@
279 INSTALL_SCRIPT = @INSTALL_SCRIPT@
280 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
281 LDFLAGS = @LDFLAGS@
282 LIBOBJS = @LIBOBJS@
283 LIBS = @LIBS@
284 LTLIBOBJS = @LTLIBOBJS@
285 MAKEINFO = @MAKEINFO@
286 MKDIR_P = @MKDIR_P@
287 OBJEXT = @OBJEXT@
288 PACKAGE = @PACKAGE@
289 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
290 PACKAGE_NAME = @PACKAGE_NAME@
291 PACKAGE_STRING = @PACKAGE_STRING@
292 PACKAGE_TARNAME = @PACKAGE_TARNAME@
293 PACKAGE_URL = @PACKAGE_URL@
294 PACKAGE_VERSION = @PACKAGE_VERSION@
295 PATH_SEPARATOR = @PATH_SEPARATOR@
296 SET_MAKE = @SET_MAKE@
297 SHELL = @SHELL@
298 STRIP = @STRIP@
299 VERSION = @VERSION@
300 XSLT_CONFIG = @XSLT_CONFIG@
301 abs_builddir = @abs_builddir@
302 abs_srcdir = @abs_srcdir@
303 abs_top_builddir = @abs_top_builddir@
304 abs_top_srcdir = @abs_top_srcdir@
305 ac_ct_CC = @ac_ct_CC@
306 am__include = @am__include@
307 am__leading_dot = @am__leading_dot@
308 am__quote = @am__quote@
309 am__tar = @am__tar@
310 am__untar = @am__untar@
311 bindir = @bindir@
312 build_alias = @build_alias@
313 builddir = @builddir@
314 datadir = @datadir@
315 datarootdir = @datarootdir@
316 docdir = @docdir@
317 dvidir = @dvidir@
318 exec_prefix = @exec_prefix@
319 host_alias = @host_alias@
320 htmldir = @htmldir@
321 includedir = @includedir@
322 infodir = @infodir@
323 install_sh = @install_sh@
324 libdir = @libdir@
325 libexecdir = @libexecdir@
326 localedir = @localedir@
327 localstatedir = @localstatedir@
328 mandir = @mandir@
329 mkdir_p = @mkdir_p@
330 oldincludedir = @oldincludedir@
331 pdfdir = @pdfdir@
332 prefix = @prefix@
333 program_transform_name = @program_transform_name@
334 psdir = @psdir@
335 runstatedir = @runstatedir@
336 sbindir = @sbindir@
337 sharedstatedir = @sharedstatedir@
338 srcdir = @srcdir@
339 sysconfdir = @sysconfdir@
340 target_alias = @target_alias@
341 top_build_prefix = @top_build_prefix@
342 top_builddir = @top_builddir@
343 top_srcdir = @top_srcdir@
344 SUBDIRS = . doc
345 xsltdir = $(prefix)/xslt
346 bin_SCRIPTS = xml2html xml2latex xml2text xml2wiki
347 xslt_DATA = doc.dtd preprocess.xsl html.xsl latex.xsl text.xsl wiki.xsl
348 xp_SOURCES = xp.c
349 all: all-recursive
350
351 .SUFFIXES:
352 .SUFFIXES: .c .o .obj
353 am--refresh: Makefile
354         @:
355 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
356         @for dep in $?; do \
357           case '$(am__configure_deps)' in \
358             *$$dep*) \
359               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
360               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
361                 && exit 0; \
362               exit 1;; \
363           esac; \
364         done; \
365         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
366         $(am__cd) $(top_srcdir) && \
367           $(AUTOMAKE) --foreign Makefile
368 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
369         @case '$?' in \
370           *config.status*) \
371             echo ' $(SHELL) ./config.status'; \
372             $(SHELL) ./config.status;; \
373           *) \
374             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
375             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
376         esac;
377
378 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
379         $(SHELL) ./config.status --recheck
380
381 $(top_srcdir)/configure:  $(am__configure_deps)
382         $(am__cd) $(srcdir) && $(AUTOCONF)
383 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
384         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
385 $(am__aclocal_m4_deps):
386 install-binPROGRAMS: $(bin_PROGRAMS)
387         @$(NORMAL_INSTALL)
388         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
389         if test -n "$$list"; then \
390           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
391           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
392         fi; \
393         for p in $$list; do echo "$$p $$p"; done | \
394         sed 's/$(EXEEXT)$$//' | \
395         while read p p1; do if test -f $$p \
396           ; then echo "$$p"; echo "$$p"; else :; fi; \
397         done | \
398         sed -e 'p;s,.*/,,;n;h' \
399             -e 's|.*|.|' \
400             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
401         sed 'N;N;N;s,\n, ,g' | \
402         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
403           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
404             if ($$2 == $$4) files[d] = files[d] " " $$1; \
405             else { print "f", $$3 "/" $$4, $$1; } } \
406           END { for (d in files) print "f", d, files[d] }' | \
407         while read type dir files; do \
408             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
409             test -z "$$files" || { \
410               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
411               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
412             } \
413         ; done
414
415 uninstall-binPROGRAMS:
416         @$(NORMAL_UNINSTALL)
417         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
418         files=`for p in $$list; do echo "$$p"; done | \
419           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
420               -e 's/$$/$(EXEEXT)/' \
421         `; \
422         test -n "$$list" || exit 0; \
423         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
424         cd "$(DESTDIR)$(bindir)" && rm -f $$files
425
426 clean-binPROGRAMS:
427         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
428
429 xp$(EXEEXT): $(xp_OBJECTS) $(xp_DEPENDENCIES) $(EXTRA_xp_DEPENDENCIES) 
430         @rm -f xp$(EXEEXT)
431         $(AM_V_CCLD)$(LINK) $(xp_OBJECTS) $(xp_LDADD) $(LIBS)
432 install-binSCRIPTS: $(bin_SCRIPTS)
433         @$(NORMAL_INSTALL)
434         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
435         if test -n "$$list"; then \
436           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
437           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
438         fi; \
439         for p in $$list; do \
440           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
441           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
442         done | \
443         sed -e 'p;s,.*/,,;n' \
444             -e 'h;s|.*|.|' \
445             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
446         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
447           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
448             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
449               if (++n[d] == $(am__install_max)) { \
450                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
451             else { print "f", d "/" $$4, $$1 } } \
452           END { for (d in files) print "f", d, files[d] }' | \
453         while read type dir files; do \
454              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
455              test -z "$$files" || { \
456                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
457                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
458              } \
459         ; done
460
461 uninstall-binSCRIPTS:
462         @$(NORMAL_UNINSTALL)
463         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
464         files=`for p in $$list; do echo "$$p"; done | \
465                sed -e 's,.*/,,;$(transform)'`; \
466         dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
467
468 mostlyclean-compile:
469         -rm -f *.$(OBJEXT)
470
471 distclean-compile:
472         -rm -f *.tab.c
473
474 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xp.Po@am__quote@
475
476 .c.o:
477 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
478 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
479 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
480 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
481 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
482
483 .c.obj:
484 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
485 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
486 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
487 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
488 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
489 install-xsltDATA: $(xslt_DATA)
490         @$(NORMAL_INSTALL)
491         @list='$(xslt_DATA)'; test -n "$(xsltdir)" || list=; \
492         if test -n "$$list"; then \
493           echo " $(MKDIR_P) '$(DESTDIR)$(xsltdir)'"; \
494           $(MKDIR_P) "$(DESTDIR)$(xsltdir)" || exit 1; \
495         fi; \
496         for p in $$list; do \
497           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
498           echo "$$d$$p"; \
499         done | $(am__base_list) | \
500         while read files; do \
501           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xsltdir)'"; \
502           $(INSTALL_DATA) $$files "$(DESTDIR)$(xsltdir)" || exit $$?; \
503         done
504
505 uninstall-xsltDATA:
506         @$(NORMAL_UNINSTALL)
507         @list='$(xslt_DATA)'; test -n "$(xsltdir)" || list=; \
508         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
509         dir='$(DESTDIR)$(xsltdir)'; $(am__uninstall_files_from_dir)
510
511 # This directory's subdirectories are mostly independent; you can cd
512 # into them and run 'make' without going through this Makefile.
513 # To change the values of 'make' variables: instead of editing Makefiles,
514 # (1) if the variable is set in 'config.status', edit 'config.status'
515 #     (which will cause the Makefiles to be regenerated when you run 'make');
516 # (2) otherwise, pass the desired values on the 'make' command line.
517 $(am__recursive_targets):
518         @fail=; \
519         if $(am__make_keepgoing); then \
520           failcom='fail=yes'; \
521         else \
522           failcom='exit 1'; \
523         fi; \
524         dot_seen=no; \
525         target=`echo $@ | sed s/-recursive//`; \
526         case "$@" in \
527           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
528           *) list='$(SUBDIRS)' ;; \
529         esac; \
530         for subdir in $$list; do \
531           echo "Making $$target in $$subdir"; \
532           if test "$$subdir" = "."; then \
533             dot_seen=yes; \
534             local_target="$$target-am"; \
535           else \
536             local_target="$$target"; \
537           fi; \
538           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
539           || eval $$failcom; \
540         done; \
541         if test "$$dot_seen" = "no"; then \
542           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
543         fi; test -z "$$fail"
544
545 ID: $(am__tagged_files)
546         $(am__define_uniq_tagged_files); mkid -fID $$unique
547 tags: tags-recursive
548 TAGS: tags
549
550 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
551         set x; \
552         here=`pwd`; \
553         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
554           include_option=--etags-include; \
555           empty_fix=.; \
556         else \
557           include_option=--include; \
558           empty_fix=; \
559         fi; \
560         list='$(SUBDIRS)'; for subdir in $$list; do \
561           if test "$$subdir" = .; then :; else \
562             test ! -f $$subdir/TAGS || \
563               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
564           fi; \
565         done; \
566         $(am__define_uniq_tagged_files); \
567         shift; \
568         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
569           test -n "$$unique" || unique=$$empty_fix; \
570           if test $$# -gt 0; then \
571             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
572               "$$@" $$unique; \
573           else \
574             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
575               $$unique; \
576           fi; \
577         fi
578 ctags: ctags-recursive
579
580 CTAGS: ctags
581 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
582         $(am__define_uniq_tagged_files); \
583         test -z "$(CTAGS_ARGS)$$unique" \
584           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
585              $$unique
586
587 GTAGS:
588         here=`$(am__cd) $(top_builddir) && pwd` \
589           && $(am__cd) $(top_srcdir) \
590           && gtags -i $(GTAGS_ARGS) "$$here"
591 cscope: cscope.files
592         test ! -s cscope.files \
593           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
594 clean-cscope:
595         -rm -f cscope.files
596 cscope.files: clean-cscope cscopelist
597 cscopelist: cscopelist-recursive
598
599 cscopelist-am: $(am__tagged_files)
600         list='$(am__tagged_files)'; \
601         case "$(srcdir)" in \
602           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
603           *) sdir=$(subdir)/$(srcdir) ;; \
604         esac; \
605         for i in $$list; do \
606           if test -f "$$i"; then \
607             echo "$(subdir)/$$i"; \
608           else \
609             echo "$$sdir/$$i"; \
610           fi; \
611         done >> $(top_builddir)/cscope.files
612
613 distclean-tags:
614         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
615         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
616
617 distdir: $(DISTFILES)
618         $(am__remove_distdir)
619         test -d "$(distdir)" || mkdir "$(distdir)"
620         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
621         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
622         list='$(DISTFILES)'; \
623           dist_files=`for file in $$list; do echo $$file; done | \
624           sed -e "s|^$$srcdirstrip/||;t" \
625               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
626         case $$dist_files in \
627           */*) $(MKDIR_P) `echo "$$dist_files" | \
628                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
629                            sort -u` ;; \
630         esac; \
631         for file in $$dist_files; do \
632           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
633           if test -d $$d/$$file; then \
634             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
635             if test -d "$(distdir)/$$file"; then \
636               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
637             fi; \
638             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
639               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
640               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
641             fi; \
642             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
643           else \
644             test -f "$(distdir)/$$file" \
645             || cp -p $$d/$$file "$(distdir)/$$file" \
646             || exit 1; \
647           fi; \
648         done
649         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
650           if test "$$subdir" = .; then :; else \
651             $(am__make_dryrun) \
652               || test -d "$(distdir)/$$subdir" \
653               || $(MKDIR_P) "$(distdir)/$$subdir" \
654               || exit 1; \
655             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
656             $(am__relativize); \
657             new_distdir=$$reldir; \
658             dir1=$$subdir; dir2="$(top_distdir)"; \
659             $(am__relativize); \
660             new_top_distdir=$$reldir; \
661             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
662             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
663             ($(am__cd) $$subdir && \
664               $(MAKE) $(AM_MAKEFLAGS) \
665                 top_distdir="$$new_top_distdir" \
666                 distdir="$$new_distdir" \
667                 am__remove_distdir=: \
668                 am__skip_length_check=: \
669                 am__skip_mode_fix=: \
670                 distdir) \
671               || exit 1; \
672           fi; \
673         done
674         -test -n "$(am__skip_mode_fix)" \
675         || find "$(distdir)" -type d ! -perm -755 \
676                 -exec chmod u+rwx,go+rx {} \; -o \
677           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
678           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
679           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
680         || chmod -R a+r "$(distdir)"
681 dist-gzip: distdir
682         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
683         $(am__post_remove_distdir)
684
685 dist-bzip2: distdir
686         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
687         $(am__post_remove_distdir)
688
689 dist-lzip: distdir
690         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
691         $(am__post_remove_distdir)
692
693 dist-xz: distdir
694         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
695         $(am__post_remove_distdir)
696
697 dist-tarZ: distdir
698         @echo WARNING: "Support for distribution archives compressed with" \
699                        "legacy program 'compress' is deprecated." >&2
700         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
701         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
702         $(am__post_remove_distdir)
703
704 dist-shar: distdir
705         @echo WARNING: "Support for shar distribution archives is" \
706                        "deprecated." >&2
707         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
708         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
709         $(am__post_remove_distdir)
710
711 dist-zip: distdir
712         -rm -f $(distdir).zip
713         zip -rq $(distdir).zip $(distdir)
714         $(am__post_remove_distdir)
715
716 dist dist-all:
717         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
718         $(am__post_remove_distdir)
719
720 # This target untars the dist file and tries a VPATH configuration.  Then
721 # it guarantees that the distribution is self-contained by making another
722 # tarfile.
723 distcheck: dist
724         case '$(DIST_ARCHIVES)' in \
725         *.tar.gz*) \
726           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
727         *.tar.bz2*) \
728           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
729         *.tar.lz*) \
730           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
731         *.tar.xz*) \
732           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
733         *.tar.Z*) \
734           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
735         *.shar.gz*) \
736           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
737         *.zip*) \
738           unzip $(distdir).zip ;;\
739         esac
740         chmod -R a-w $(distdir)
741         chmod u+w $(distdir)
742         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
743         chmod a-w $(distdir)
744         test -d $(distdir)/_build || exit 0; \
745         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
746           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
747           && am__cwd=`pwd` \
748           && $(am__cd) $(distdir)/_build/sub \
749           && ../../configure \
750             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
751             $(DISTCHECK_CONFIGURE_FLAGS) \
752             --srcdir=../.. --prefix="$$dc_install_base" \
753           && $(MAKE) $(AM_MAKEFLAGS) \
754           && $(MAKE) $(AM_MAKEFLAGS) dvi \
755           && $(MAKE) $(AM_MAKEFLAGS) check \
756           && $(MAKE) $(AM_MAKEFLAGS) install \
757           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
758           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
759           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
760                 distuninstallcheck \
761           && chmod -R a-w "$$dc_install_base" \
762           && ({ \
763                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
764                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
765                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
766                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
767                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
768               } || { rm -rf "$$dc_destdir"; exit 1; }) \
769           && rm -rf "$$dc_destdir" \
770           && $(MAKE) $(AM_MAKEFLAGS) dist \
771           && rm -rf $(DIST_ARCHIVES) \
772           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
773           && cd "$$am__cwd" \
774           || exit 1
775         $(am__post_remove_distdir)
776         @(echo "$(distdir) archives ready for distribution: "; \
777           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
778           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
779 distuninstallcheck:
780         @test -n '$(distuninstallcheck_dir)' || { \
781           echo 'ERROR: trying to run $@ with an empty' \
782                '$$(distuninstallcheck_dir)' >&2; \
783           exit 1; \
784         }; \
785         $(am__cd) '$(distuninstallcheck_dir)' || { \
786           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
787           exit 1; \
788         }; \
789         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
790            || { echo "ERROR: files left after uninstall:" ; \
791                 if test -n "$(DESTDIR)"; then \
792                   echo "  (check DESTDIR support)"; \
793                 fi ; \
794                 $(distuninstallcheck_listfiles) ; \
795                 exit 1; } >&2
796 distcleancheck: distclean
797         @if test '$(srcdir)' = . ; then \
798           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
799           exit 1 ; \
800         fi
801         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
802           || { echo "ERROR: files left in build directory after distclean:" ; \
803                $(distcleancheck_listfiles) ; \
804                exit 1; } >&2
805 check-am: all-am
806 check: check-recursive
807 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(DATA)
808 installdirs: installdirs-recursive
809 installdirs-am:
810         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(xsltdir)"; do \
811           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
812         done
813 install: install-recursive
814 install-exec: install-exec-recursive
815 install-data: install-data-recursive
816 uninstall: uninstall-recursive
817
818 install-am: all-am
819         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
820
821 installcheck: installcheck-recursive
822 install-strip:
823         if test -z '$(STRIP)'; then \
824           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
825             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
826               install; \
827         else \
828           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
829             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
830             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
831         fi
832 mostlyclean-generic:
833
834 clean-generic:
835
836 distclean-generic:
837         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
838         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
839
840 maintainer-clean-generic:
841         @echo "This command is intended for maintainers to use"
842         @echo "it deletes files that may require special tools to rebuild."
843 clean: clean-recursive
844
845 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
846
847 distclean: distclean-recursive
848         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
849         -rm -rf ./$(DEPDIR)
850         -rm -f Makefile
851 distclean-am: clean-am distclean-compile distclean-generic \
852         distclean-tags
853
854 dvi: dvi-recursive
855
856 dvi-am:
857
858 html: html-recursive
859
860 html-am:
861
862 info: info-recursive
863
864 info-am:
865
866 install-data-am: install-xsltDATA
867
868 install-dvi: install-dvi-recursive
869
870 install-dvi-am:
871
872 install-exec-am: install-binPROGRAMS install-binSCRIPTS
873
874 install-html: install-html-recursive
875
876 install-html-am:
877
878 install-info: install-info-recursive
879
880 install-info-am:
881
882 install-man:
883
884 install-pdf: install-pdf-recursive
885
886 install-pdf-am:
887
888 install-ps: install-ps-recursive
889
890 install-ps-am:
891
892 installcheck-am:
893
894 maintainer-clean: maintainer-clean-recursive
895         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
896         -rm -rf $(top_srcdir)/autom4te.cache
897         -rm -rf ./$(DEPDIR)
898         -rm -f Makefile
899 maintainer-clean-am: distclean-am maintainer-clean-generic
900
901 mostlyclean: mostlyclean-recursive
902
903 mostlyclean-am: mostlyclean-compile mostlyclean-generic
904
905 pdf: pdf-recursive
906
907 pdf-am:
908
909 ps: ps-recursive
910
911 ps-am:
912
913 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \
914         uninstall-xsltDATA
915
916 .MAKE: $(am__recursive_targets) install-am install-strip
917
918 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
919         am--refresh check check-am clean clean-binPROGRAMS \
920         clean-cscope clean-generic cscope cscopelist-am ctags ctags-am \
921         dist dist-all dist-bzip2 dist-gzip dist-lzip dist-shar \
922         dist-tarZ dist-xz dist-zip distcheck distclean \
923         distclean-compile distclean-generic distclean-tags \
924         distcleancheck distdir distuninstallcheck dvi dvi-am html \
925         html-am info info-am install install-am install-binPROGRAMS \
926         install-binSCRIPTS install-data install-data-am install-dvi \
927         install-dvi-am install-exec install-exec-am install-html \
928         install-html-am install-info install-info-am install-man \
929         install-pdf install-pdf-am install-ps install-ps-am \
930         install-strip install-xsltDATA installcheck installcheck-am \
931         installdirs installdirs-am maintainer-clean \
932         maintainer-clean-generic mostlyclean mostlyclean-compile \
933         mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
934         uninstall-am uninstall-binPROGRAMS uninstall-binSCRIPTS \
935         uninstall-xsltDATA
936
937 .PRECIOUS: Makefile
938
939
940 # Tell versions [3.59,3.63) of GNU make to not export all variables.
941 # Otherwise a system limit (for SysV at least) may be exceeded.
942 .NOEXPORT: